MiniMax
MiniMax H3 (自部署) · 生成视频
视频 / MiniMax / MiniMax H3 (自部署) / 生成视频
| 接口 | 方法 | 路径 |
|---|---|---|
| 提交任务 | POST | /v1/videos/generations |
| 查询结果 | GET | /v1/videos/generations/{id} |
请求参数
Authorization
在 Header 添加参数 Authorization,其值为 Bearer 之后拼接你的 API Key。
Authorization: Bearer ****************
Header 参数
Content-Typestring可选
application/json
Acceptstring可选
application/json
Body 参数application/json必填
modelstring必需
模型 ID,固定为 `MiniMax-H3-Tokens`
contentarray[object]必需
resolutionstring必需
480P / 768P / 2K分辨率(如 720P / 1080P)
durationinteger必需
4–15时长(秒)
ratiostring可选
adaptive / 21:9 / 16:9 / 4:3 / 1:1 / 3:4 / 9:16生成视频宽高比(默认 adaptive)
示例
{ "model": "MiniMax-H3-Tokens", "content": [ { "type": "text", "text": "海浪拍打礁石的慢镜头,黄昏暖色调" } ], "resolution": "768P", "duration": 5, "ratio": "16:9"}请求示例代码
curl https://api.hotrouter.ai/v1/videos/generations \ -H "Authorization: Bearer $API_KEY" \ -H "Content-Type: application/json" \ -d '{ "model": "MiniMax-H3-Tokens", "content": [ { "type": "text", "text": "海浪拍打礁石的慢镜头,黄昏暖色调" } ], "resolution": "768P", "duration": 5, "ratio": "16:9" }'返回响应
提交任务
{ "task_id": "xxxxxxxx"}查询结果
{ "task": { "id": "xxxxxxxx", "status": "succeeded", "content": { "url": "https://.../video.mp4" }, "usage": { "output_seconds": 5 } }}
